Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
asio_error.h File Reference
`#include <botan/build.h>`
`#include <boost/version.hpp>`
`#include <boost/system/system_error.hpp>`
`#include <botan/exceptn.h>`
`#include <botan/tls_alert.h>`
`#include <botan/tls_exceptn.h>`

Go to the source code of this file.

## Classes
struct | Botan::TLS::BotanAlertCategory
| An error category for TLS alerts. More...
struct | Botan::BotanErrorCategory
| An error category for errors from Botan (other than TLS alerts) More...
struct | boost::system::is_error_code_enum< Botan::ErrorType >
struct | boost::system::is_error_code_enum< Botan::TLS::Alert::Type >

## Namespaces
| boost
| boost::system
| Botan
| Botan::TLS

## Functions
const BotanAlertCategory & | Botan::TLS::botan_alert_category () noexcept
const BotanErrorCategory & | Botan::botan_category () noexcept
boost::system::error_code | Botan::TLS::make_error_code (Botan::TLS::Alert::Type c)
boost::system::error_code | Botan::make_error_code (Botan::ErrorType e)